:begin
@echo off

IF   (%JAVA_HOME%)   ==   ()       goto  null_vars
IF   NOT EXIST     %JAVA_HOME%\bin\java.exe   goto bad_java_home
IF   NOT EXIST     %JAVA_HOME%\lib\classes.zip  goto bad_java_lib_home

IF   (%WAS%)   ==   ()       goto  null_vars
IF   NOT EXIST     %WAS%\bin\admin.config   goto bad_was_home
 
IF   (%DOC_ROOT%)   ==   ()       goto  null_vars

IF   (%1)     ==   ()       goto interact
IF    %1    ==   -h    goto syntax
IF    %1    ==   -help    goto syntax
goto silent

:interact
IF NOT EXIST  .\fixpack.jar goto bad_pwd
IF NOT EXIST  .\install.jar   goto bad_pwd
IF NOT EXIST  .\Data.zip    goto bad_pwd
IF NOT EXIST     %WAS%\WebSphereSamples\SiteOutliner   mkdir %WAS%\WebSphereSamples\SiteOutliner
java -classpath  ".\fixpack.jar;.\install.jar;%JAVA_HOME%\lib\classes.zip;%classpath%"  Fixpack -install 
goto copy

:silent
IF NOT EXIST  .\fixpack.jar goto bad_pwd
IF NOT EXIST  .\install.jar   goto bad_pwd
IF NOT EXIST  .\Data.zip    goto bad_pwd
IF NOT EXIST %1\nul goto bad_root
IF NOT EXIST %2 goto bad_zip
IF NOT EXIST     %WAS%\WebSphereSamples\SiteOutliner   mkdir %WAS%\WebSphereSamples\SiteOutliner
java -classpath ".\fixpack.jar;.\install.jar;%JAVA_HOME%\lib\classes.zip;%classpath%"  Fixpack -install -b  %1   -f   %2
goto copy

:null_vars
echo.
echo Please have these 3 environment variables set and rerun the script.
echo Note: These are example set statements.
echo set JAVA_HOME=c:\jdk_home
echo set WAS=c:\websphere\appserver
echo set DOC_ROOT="c:\IBM HTTP Server\htdocs"  /*Note: This is your webserver root directory.*/
echo Important: when using IBMHTTP server, do not include en_US in your DOC_ROOT for this script.
echo.
goto end

:bad_java_home
echo.
echo Can not locate %JAVA_HOME%\bin\java
echo Please set environment variable JAVA_HOME and rerun this script.
echo.
goto end

:bad_was_home
echo.
echo Can not locate %WAS%\bin\admin.config
echo Please set environment variable WAS and rerun this script.
echo.
goto end

:bad_java_lib_home
echo.
echo Can not locate %JAVA_HOME%\lib\classes.zip
echo Please set environment variable JAVA_HOME and rerun this script.
echo.
goto end

:bad_zip
echo.
echo Incorect path to Data.zip:  %2
echo.
goto end

:bad_root
echo.
echo No such directory:  %1
echo.
goto end

:bad_pwd
echo.
echo Can not locate all the files: fixpack.jar, install.jar, and Data.zip.
echo Please ensure you are in the download directory before starting install.
echo.
goto end

:syntax
echo.
echo For interactive install:    install.bat 
echo For silent  install:   install.bat    was_root_absolute_path      downloaded_Data_zip_absolute path
echo.
goto end

:copy
IF NOT errorlevel 0   goto end
IF NOT EXIST     %DOC_ROOT%\WebSphereSamples   mkdir %DOC_ROOT%\WebSphereSamples
IF NOT EXIST     %DOC_ROOT%\theme   mkdir %DOC_ROOT%\theme
IF NOT errorlevel 0   goto end
echo a > a.txt
xcopy /E  %WAS%\WebSphereSamples %DOC_ROOT%\WebSphereSamples <a.txt
xcopy /E  %WAS%\theme %DOC_ROOT%\theme <a.txt
goto end

:end
REM END

